# openPilotLog: AAircraftEntry Struct Reference

AAircraftEntry Struct Reference
Inheritance diagram for AAircraftEntry:

## Public Member Functions

| AAircraftEntry (RowId_T row_id)
| AAircraftEntry (RowData_T table_data)
| AAircraftEntry (const AAircraftEntry &te)=default
AAircraftEntry & | operator= (const AAircraftEntry &te)=default
Public Member Functions inherited from AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (RowData_T table_data)
| AEntry (DataPosition position_, RowData_T table_data)
void | setData (RowData_T table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition ()
const RowData_T & | getData ()

## Additional Inherited Members

Public Attributes inherited from AEntry
RowData_T | tableData
Protected Attributes inherited from AEntry
DataPosition | position

The documentation for this struct was generated from the following files:

- src/classes/aaircraftentry.h
- src/classes/aaircraftentry.cpp